package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class SurplusCourseFeeDto {

    @ApiModelProperty(value = "学员编号",required = true)
    private Integer studentId;

    @ApiModelProperty(value = "课程组编号",required = true)
    private String groupId;

    @ApiModelProperty(value = "课程类型 VIP/PRACTICE/ACTIVITY",required = true)
    private String groupType;

    @ApiModelProperty(value = "可退课程费用",required = true)
    private BigDecimal actualPrice = BigDecimal.ZERO;

    @ApiModelProperty(value = "课程组编号",required = true)
    private String name;

    private String activityUserMapperId;

    public SurplusCourseFeeDto() {
    }

    public SurplusCourseFeeDto(String groupId, String groupType, BigDecimal actualPrice, String name) {
        this.groupId = groupId;
        this.groupType = groupType;
        this.actualPrice = actualPrice;
        this.name = name;
    }

    public SurplusCourseFeeDto(Integer studentId, String groupId, String groupType) {
        this.studentId = studentId;
        this.groupId = groupId;
        this.groupType = groupType;
    }

    public BigDecimal getActualPrice() {
        return actualPrice;
    }

    public void setActualPrice(BigDecimal actualPrice) {
        this.actualPrice = actualPrice;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getActivityUserMapperId() {
        return activityUserMapperId;
    }

    public void setActivityUserMapperId(String activityUserMapperId) {
        this.activityUserMapperId = activityUserMapperId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }
}
